Skip to:
Content
Pages
Categories
Search
Top
Bottom

When is version 1.1 coming, and should I stop using old plugins?

  • Im having an ongoing help topic about a plugin. Infact, one plugin of many more – all made by _CK_. And I was starting to wonder, is it safe to rely on these old plugins, when this programmer has left the BBPress project, and a new version, hopefully is coming soon?

    How will backwardscompitability be in the future of BBPress. Will most of these standard functionality-plugins be built in?

    And how will upgrading BBPress take place? I have used hours and hours to customize my Kakumei theme, and will all that work go to waste with a new version? Will it apply to the next bbpress themes at all? Or am I gonna have start all over again?

Viewing 7 replies - 1 through 7 (of 7 total)

  • kevinjohngallagher
    Member

    @kevinjohngallagher

    is it safe to rely on these old plugins

    No.

    a new version, hopefully is coming soon

    It’s not.

    In honesty none of us know when it is coming, the “weekly” IRC meetings have not been taking place for the last 6 weeks, 1 bug in the last 3 weeks has been fixed and 20 are still outstanding, etc etc. Matt hasn’t been seen or heard of since threatening to leave the project.

    How will backwards compitability be in the future of BBPress

    It won’t.

    It is not an aim. Never has been.

    Will most of these standard functionality-plugins be built in

    No.

    Mostly because everyone’s definition of “standard” is “plugins i want”.

    I have used hours and hours to customize my Kakumei theme, and will all that work go to waste with a new version

    Some of it will, some of it won’t.

    Will it apply to the next bbpress themes at all

    From what i’ve seen in subversion, you won’t need to change to many things in your theme to make sure it is bbPress1.1 compatible. But you will probably have to make some changes – it is the nature of software.

    Or am I gonna have start all over again?

    It depends on your theme, plugins, and custom code.

    I doubt anyone will have to start all over, but some poeple will have more work than others.

    In your specific case, given your lack of coding abilities and reliance on the default theme, i doubt youi’ll have much coding to do – but it is likely that some things will have to be changed.

    ===========================================================

    I say this alot, but bbPress is not currently ready for use for people with no technical knowledge.

    Database setup, editing files and FTP are a minimum to get the defaults going.

    Some basic web development knowledge is needed to edit your theme.

    Slightly above basic knowledge is needed to edit any functionality.

    That is just where this software is and will be for a long time. I don’t say this to cause offence, i say this to save people difficulty.

    ========================================================

    P.S. Marius,

    You also don’t have to upgrade.

    Almost all of the issues you bring us could have been solved easier if you were using bbPress0.9 :)


    Olaf Lederer
    Participant

    @finalwebsites

    @kevinjohngallagher, what you say is so true :(

    I have said this before, downgrading is not an option.

    Why even have two versions for download, if you all want us to donwload 0.9?

    You say backwards compitability never has been a goal. What I fear is that, lets say some time in the future I decide to upgrade to a new version of BBPress. With a completely new theme, and possibly reinstall it. Will I be able to keep the users and posts?

    -

    And I have to say, polls, image support and text formatting is standard. Its what everyone has used on forums for ten years. So theres no reason they shouldnt be included as standard, from my point of view.

    Also, please stop banging the drum that BBpress is not ready for use if you have no skills etc. I think you are destroying your userbase by doing this. You are scaring people away, and its not true either. I have pretty much zero skills, and have managed to get a pretty decent looking forum up and running.


    kevinjohngallagher
    Member

    @kevinjohngallagher

    Marius-,

    I say this as someone who comes across as angry or annoyed or something. You need to take a step back. It’s free software, it’s free support. We’re all trying to help :) Maybe say please and thank you. Read what I, and others, take a deep breathe and see that we’re telling you the software’s limitations so that you know them – not to put you off. There are loads of great things you can do with bbPress, but there are also things you can’t. Help us, help you – and when we do, please be polite and thanful.

    I have said this before, downgrading is not an option.

    No-one is suggesting you do :)

    Why even have two versions for download, if you all want us to donwload 0.9?

    I don’t care which if them you do download.

    Like every bit of software, you get certain features and drawbacks with both options.

    Pick one, and accept it’s limitations.

    bbPress0.9: Older, way more plugins, lots of support questions already answered, bad admin area.

    bbPress1.0: Newer, few plugins, few support questions, nice admin area.

    You say backwards compitability never has been a goal. What I fear is that, lets say some time in the future I decide to upgrade to a new version of BBPress. With a completely new theme, and possibly reinstall it. Will I be able to keep the users and posts?

    Yes, you will keep your users and posts.

    Thats forward compatability, not backward.

    Themes, plugins, custom code could stop working. If you don’t like it, don’t upgrade. Loads of people are still on WindowsXP cos it works.

    And I have to say, polls, image support and text formatting is standard. Its what everyone has used on forums for ten years. So theres no reason they shouldnt be included as standard, from my point of view.

    But bbPress does not have them, and never has had them, and never will have them as standard.

    If you want all of those fancy features then you have to choose a different software solution. Thats not me scarying you away, its just being honest.

    I know i’ve said this to you over and over again, but there is a difference between “basic” functionailty and “standard” functionality. Basic is what the software needs to actually work, Standard is a perception held by individuals based on what their needs are and the market is.

    bbPress doesn’t even meet all of the “basic” requirements yet, so there is no way – no matter how much you cry about it – that any of the “standard” features YOU want are going to be included. Its not going to happen unless you develop it or pay for a developer. I’m in that boat too. We all are. There are things i want bbPress to have because they are standard, but it doesn’t have them and won’t have for a very long time if ever.

    So theres no reason they shouldnt be included as standard, from my point of view.

    Thats because, you are not listening bro.

    1) We have no developer to build them.

    2) Even if we had a developer, there are bugs and basic features to code first.

    3) Those sorts of features are what plugins are for.

    4) If thats not cool with you mate, you’re at the wrong project. Sorry.

    Also, please stop banging the drum that BBpress is not ready for use if you have no skills etc. I think you are destroying your userbase by doing this. You are scaring people away, and its not true either.

    If it’s not true, then why have you spent the last 2 months on here asking really really really basic web development (non-bbPress) related questions?

    http://bbpress.org/forums/topic/how-do-you-make-footer-background-transparent

    http://bbpress.org/forums/topic/need-help-placing-a-div-somewhere-for-custom-background

    And then complain big time every time you have to edit a file to get things working, even though someone else is telling you what to do.

    If someone can’t edit a file and FTP it then they can’t install bbPress. That requires some small amount of technical knowledge – i’m just being honest. I’m not trying to scare people away, but when people think bbPress is as easy as WordPress we get a huge amount of support questions along the lines of “zomg i r installed forum kk and it no work – i give you 2 hour window to look at my forumz and fix it kk now!”. Some people don’t even have the decency to say thanks (*cough*).

    Look at: http://bbpress.org/forums/topic/modifying-header-to-display-image-issues#post-64963

    Here is someone who has taken on board that he (currently) doesn’t have the required skills to do what he wants in bbPress, and is taking the positive steps to get it sorted. When he/she comes back for help, we’ll be here.

    I have pretty much zero skills, and have managed to get a pretty decent looking forum up and running.

    Can’t argue with the first part, can’t agree with the second.

    =================================================================

    Look, Marius-,

    Not one person left on here is part of the bbPress project really. Matt, Sam, Michael, _ck_, etc. All don’t hang around here anymore. If you ask questions, those of us trying to help answer. But all you do is complain that you don’t like the answers, and then ask for more help, then complain etc. etc.

    John Hiller has gone WAY out of his way to give you free support for an issue on you are having, again, and you’ve not even had the decency to thank him. I’ve given you countless bits of code, including one 3 days ago, and you never said thanks – just complained that you’d have to do some of the work.

    Honestly, i wish for you and your forum all the best. But if you ask a questions, and you don’t like the answers, don’t ask the questions. Because, i’ve given you code, i’ve given you advice, i’ve given you answers – and you’ve never said thanks and are still unhappy. It’s not worth my time mate. You’re simply not listening.

    Oh I listen, I just dont agree with your views. That should be clear.

    Whats not clear to me, is that you seem to ignore the fact that BBPress is a launched project for public use.

    If its not useable, then it shouldnt be ready for download and use.

    You call me angry and ignorant, which Im not. But thats exactly the way I see you. Only causing more trouble than resolutions. Im not gonna argue with you about all the details you are so unecesary listing up here.

    Im quite fond of BBPress, perhaps respecting it way more than you do. I´ve written about it in several other forums, advertising how great it is. All you do is sit here and say its not ready for use.


    kevinjohngallagher
    Member

    @kevinjohngallagher

    Please, don’t say that I have said things that i have not. Feel free to quote me, but don’t make things up or wrongly generalise and attribute them to me.

    That said, i apprecaite you finally getting round to being polite to the people who have helped you out thus far. Finally finding manners to Thank people like John who went out of their way to help you was the decent thing to do :)


    citizenkeith
    Participant

    @citizenkeith

    We all want bbPress to be developed further, but it’s honestly not where many people want it to be. Kevin is only speaking the honest truth. His tone might seem harsh, but he is passionate. I’m glad he’s here.

    The OP may want to consider other solutions… Maybe in a year or two, bbpress will be better developed for him.

Viewing 7 replies - 1 through 7 (of 7 total)

You must be logged in to reply to this topic.